@font-face {
  font-family: "RunescapeBold";
  src: url("/assets/fonts/RuneScape-Fonts/woff2/RuneScape-Bold-12.woff2") format("woff2"),
       url("/assets/fonts/RuneScape-Fonts/otf/RuneScape-Bold-12.otf") format("opentype"),
       url("/assets/fonts/RuneScape-Fonts/ttf/RuneScape-Bold-12.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "RunescapePlain";
  src: url("/assets/fonts/RuneScape-Fonts/woff2/RuneScape-Plain-12.woff2") format("woff2"),
       url("/assets/fonts/RuneScape-Fonts/otf/RuneScape-Plain-12.otf") format("opentype"),
       url("/assets/fonts/RuneScape-Fonts/ttf/RuneScape-Plain-12.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
  
.logo-container img {
  display: flex;
  justify-content: center;
    margin-left: auto;
    margin-right: auto;
    width: 1000px;
    height: auto;
    mix-blend-mode: multiply;
    pointer-events :none;
}



.button-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
  list-style: none; 
  padding: 0;       
  margin: 0;  
}


.link-button {      
  display: inline-grid;
  align-items: center;
  border: 1px solid black;
  background-size: cover;
  padding: 10px 20px;
  text-decoration: none;
  font-size: 20px;
  font-family: "RunescapePlain";
  text-align: center; 
  filter: contrast(0.9) blur(0.5px);
}

.link-button:hover {
  background-image: url("/assets/blue_glitter.gif");
}

.active-link {
  background: #38C7E0;
  color: #ffffff;
  border-color: #000000;
}

 body {
            background-image: url('/assets/spyro1.png'); 
            background-repeat: no-repeat; 
            background-position: center; 
            background-size: cover; 
            background-attachment: fixed; 
            position: relative;
       }



body::before {
    content: "";
    position: fixed;
    inset: 0;
    background-image: url("/assets/noise.avif");
    background-repeat: no-repeat;
    background-size: cover;  
    opacity: 0.06;
    pointer-events: none;
    z-index: -1;
}

.marquee-container {
      width: 100%;
      overflow: hidden;
      white-space: nowrap;
      padding: 10px 0;
    }

.marquee-gif {
      width: 150px;
      height: auto;
      display: inline-block;
      animation: marquee-move 10s linear infinite;
    }
    
.marquee-gif:hover { 
        filter: hue-rotate(200deg) saturate(1.5) brightness(1.1);
    }

@keyframes marquee-move {
      0% {
        transform: translateX(100vw);
      }
      100% {
        transform: translateX(-100%);
      }
    }

@keyframes flashColors {
            0% {
                color: #38E0A5;
            }
            33% {
                color: #C7E038; 
            }
            66% {
                color: #A538E0;
            }
            100% {
                color: #E038C7;
            }
        }
        

.page-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
  pointer-events: none;
}

.page-overlay img {
  position: fixed;
  top: -150px;
  right: -550px;
  width: 1000px;
  height: auto;
}


.cat-container {
  position: absolute;
  display: flex;
  justify-content: center;
}

.cat-container img {
  position: fixed;
  top: 350px;
  left: 0px;
  right: 40px;
  width: 400px;
  height: auto;
  pointer-events: none;
}


.gems-container {
  display: inline-flex;
  position: fixed;
  flex-direction: row;
  gap: 20px; 
  margin: auto;
  pointer-events: none;  
  bottom: 0; 
  left: 50%;             
  transform: translateX(-50%);
}

.gem-gif {
  display: flex;
  justify-content: space-between;
  align-content: space-between;
  width: 70px;
  margin: auto;
  pointer-events: none;
}